Bug 1272271 - [abrt] R-core: xfree(): R killed by SIGABRT
[abrt] R-core: xfree(): R killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:fdc155d1f415354f4111f12aabf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-15 20:00 EDT by Robert Susmilch
Modified: 2015-11-30 18:51 EST (History)
1 user (show)

See Also:
Fixed In Version: R-3.2.2-2.fc23 R-3.2.2-2.el5 R-3.2.2-2.el7 R-3.2.2-2.el6 R-3.2.2-2.fc22 R-3.2.2-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-17 10:53:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.90 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: core_backtrace (3.92 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: dso_list (7.96 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: environ (4.10 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: maps (47.99 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: open_fds (238 bytes, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details
File: var_log_messages (244 bytes, text/plain)
2015-10-15 20:00 EDT, Robert Susmilch
no flags Details

  None (edit)
Description Robert Susmilch 2015-10-15 20:00:04 EDT
Description of problem:
Told ggplot2 to plot a barplot after subseting a large amount of data into one variable, with 16 factors. Bar plot was meant to show one aspect of the data and the relation of the factors. R just died a horrible death.

Version-Release number of selected component:
R-core-3.2.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/lib64/R/bin/exec/R
crash_function: xfree
executable:     /usr/lib64/R/bin/exec/R
global_pid:     9527
kernel:         4.1.10-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 xfree at ../xfree.c:49
 #7 rl_do_undo at ../undo.c:250
 #8 rl_revert_line at ../undo.c:325
 #9 readline_internal_teardown at ../readline.c:461
 #10 rl_callback_read_char at ../callback.c:230
 #11 Rstd_ReadConsole at sys-std.c:937
 #12 Rf_ReplIteration at main.c:206
 #13 R_ReplConsole at main.c:308
 #14 run_Rmainloop at main.c:1006
 #15 Rf_mainloop at main.c:1013
Comment 1 Robert Susmilch 2015-10-15 20:00:07 EDT
Created attachment 1083447 [details]
File: backtrace
Comment 2 Robert Susmilch 2015-10-15 20:00:08 EDT
Created attachment 1083448 [details]
File: cgroup
Comment 3 Robert Susmilch 2015-10-15 20:00:10 EDT
Created attachment 1083449 [details]
File: core_backtrace
Comment 4 Robert Susmilch 2015-10-15 20:00:11 EDT
Created attachment 1083450 [details]
File: dso_list
Comment 5 Robert Susmilch 2015-10-15 20:00:12 EDT
Created attachment 1083451 [details]
File: environ
Comment 6 Robert Susmilch 2015-10-15 20:00:13 EDT
Created attachment 1083452 [details]
File: limits
Comment 7 Robert Susmilch 2015-10-15 20:00:14 EDT
Created attachment 1083453 [details]
File: maps
Comment 8 Robert Susmilch 2015-10-15 20:00:15 EDT
Created attachment 1083454 [details]
File: mountinfo
Comment 9 Robert Susmilch 2015-10-15 20:00:17 EDT
Created attachment 1083455 [details]
File: namespaces
Comment 10 Robert Susmilch 2015-10-15 20:00:18 EDT
Created attachment 1083456 [details]
File: open_fds
Comment 11 Robert Susmilch 2015-10-15 20:00:19 EDT
Created attachment 1083457 [details]
File: proc_pid_status
Comment 12 Robert Susmilch 2015-10-15 20:00:20 EDT
Created attachment 1083458 [details]
File: var_log_messages
Comment 13 Fedora Update System 2015-10-23 21:28:53 EDT
R-3.2.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6565b2e398
Comment 14 Fedora Update System 2015-10-23 21:28:53 EDT
R-3.2.2-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9cdf9f29ef
Comment 15 Fedora Update System 2015-10-23 21:28:59 EDT
R-3.2.2-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1d0623dd0
Comment 16 Fedora Update System 2015-10-23 21:29:00 EDT
R-3.2.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c1f7d869cc
Comment 17 Fedora Update System 2015-10-23 21:29:04 EDT
R-3.2.2-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-deabdbb136
Comment 18 Fedora Update System 2015-10-23 21:29:05 EDT
R-3.2.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-395b2e605c
Comment 19 Fedora Update System 2015-10-26 15:50:23 EDT
R-3.2.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update R'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-395b2e605c
Comment 20 Fedora Update System 2015-10-26 16:46:53 EDT
R-3.2.2-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update R'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-deabdbb136
Comment 21 Fedora Update System 2015-10-26 17:20:20 EDT
R-3.2.2-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update R'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-9cdf9f29ef
Comment 22 Fedora Update System 2015-10-26 22:20:13 EDT
R-3.2.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update R'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c1f7d869cc
Comment 23 Fedora Update System 2015-10-28 14:22:11 EDT
R-3.2.2-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update R'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f1d0623dd0
Comment 24 Fedora Update System 2015-10-28 16:27:03 EDT
R-3.2.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update R'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6565b2e398
Comment 25 Fedora Update System 2015-11-17 10:53:02 EST
R-3.2.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2015-11-30 15:26:15 EST
R-3.2.2-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2015-11-30 15:57:14 EST
R-3.2.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2015-11-30 16:58:27 EST
R-3.2.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 29 Fedora Update System 2015-11-30 18:25:30 EST
R-3.2.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2015-11-30 18:51:02 EST
R-3.2.2-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.